﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsAppBSC2024_25_11_1
{
    public partial class Form1 : Form
    {
        OleDbConnection connection;
        String connectionString =
            "Provider=Microsoft.Jet.OLEDB.4.0;Data source=MyDB.mdb";
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new OleDbConnection(connectionString);     
        }

        private void button1_Click(object sender, EventArgs e)
        {
            connection.Open();
            String query = "Select * from MemoryDB";
            OleDbCommand command = connection.CreateCommand();
            command.CommandText = query;
            OleDbDataReader reader = command.ExecuteReader();
            StringBuilder stringBuilder = new StringBuilder();
            while (reader.Read())
            {
                stringBuilder.Append(reader.GetString(1)).Append(", ");
                stringBuilder.Append(reader.GetString(5)).Append("\n");
            }
            reader.Close();
            command.Dispose();
            connection.Close();
            richTextBox1.AppendText(stringBuilder.ToString());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            connection.Open();
            String query = "Insert into MemoryDB([DBName]," +
                "[Developer],[Description]) " +
                "values(@dbname,@developer,@description)";
            OleDbCommand command = connection.CreateCommand();
            command.CommandText = query;
            command.Parameters.AddRange(new OleDbParameter[]
            {
                new OleDbParameter("@dbname","MySQL"),
                new OleDbParameter("@developer","Oracle"),
                new OleDbParameter("@description","Good database")
            });
            command.ExecuteNonQuery();
            command.Dispose();
            connection.Close();
        }

        
    }
}
